<?php 

include '../xpanel/inc/vt.php';


if(isset($_POST['register'])){
	$ad				=	$_POST["adisoyadi"];
	$mail			=	$_POST["mail"];
	$password	=	$_POST["password"];
	$password2	=	$_POST["password2"];
	$phone		=	str_replace(" ", "", $_POST["telefon"]);
	$msorgu		=	$dbh->prepare("SELECT * FROM users WHERE mail=?");
	$msorgu		->	execute(array($mail));
	$tsorgu		=	$dbh->prepare("SELECT * FROM users WHERE phone=? and phone!=0 ");
	$tsorgu		->	execute(array($phone));
	if(!filter_var($mail,FILTER_VALIDATE_EMAIL)) {
		$output	=	["t"=>"Bilgi","m"=>"Girdiğiniz mail formatı hatalı.","s"=>"info"];
		echo json_encode($output);
	}elseif($msorgu->rowCount()){
		$output	=	["t"=>"Bilgi","m"=>"Bu mail adresi daha önce kullanılmış.","s"=>"info"];
		echo json_encode($output);
	}elseif ($password != $password2) {
		$output	=	["t"=>"Bilgi","m"=>"Parolalar uyuşmamakta.","s"=>"info"];
		echo json_encode($output);
	}elseif (strlen($password)<6) {
		$output	=	["t"=>"Bilgi","m"=>"Parolanız en az 6 karakterden oluşmalı.","s"=>"info"];
		echo json_encode($output);
	}elseif($tsorgu->rowCount()){
		$output	=	["t"=>"Bilgi","m"=>"Bu telefon numarası daha önce kullanılmış.","s"=>"info"];
		echo json_encode($output);

	}else{
		$password	=	md5($_POST["password"]);
		$insert	=	$dbh->prepare("INSERT INTO users SET name=?, mail=?,  password=?, phone=?");
		$insert-> execute(array($ad,$mail,$password,$phone));
		if ($insert) {

			$id=$dbh->lastInsertId();
			$user		=	$dbh->prepare("SELECT * FROM users WHERE id=?");
			$user		->	execute(array($id));
			$user = $user->fetch(PDO::FETCH_OBJ);

			$_SESSION['user']=$user;

			$output	=	["t"=>"","m"=>"Kayıt işleminiz başarıyla sonuçlandı.","s"=>"success","r"=>"index.php"];
			echo json_encode($output);
		}else{
			$output	=	["t"=>"Hata","m"=>"Hata oluştu.","s"=>"error"];
			echo json_encode($output);
		}
	}
	exit();

}

if(isset($_POST['login'])){

	$mail	=	$_POST["mail"];
	$password	=	md5($_POST["password"]);

	$ksorgu		=	$dbh->prepare("SELECT * FROM users WHERE mail=? && password=?");
	$ksorgu		->	execute(array($mail,$password));
	$kbilgi		=	$ksorgu		->fetch(PDO::FETCH_OBJ);

	if(!$ksorgu->rowCount()){
		$output	=	["t"=>"Bilgi","m"=>"Kullanıcı adınız ya da parolanız hatalı.","s"=>"info"];
		echo json_encode($output);
	}else{

		$_SESSION['user']=$kbilgi;

		$output	=	["t"=>"","m"=>"Kullanıcı girişi yapıldı, yönlendiriliyorsunuz.","s"=>"success","r"=>"index.php"];
		echo json_encode($output);
	}
	exit();

}



if(isset($_POST['update'])){

	$ad			=	$_POST["adisoyadi"];
	$mail		=	$_POST["mail"];
	$password	=	$_POST["password"];
	$password2	=	$_POST["password2"];
	$phone		=	str_replace(" ", "", $_POST["telefon"]);

	$msorgu		=	$dbh->prepare("SELECT * FROM users WHERE mail=? && id!=?");
	$msorgu		->	execute(array($mail,$_SESSION['user']->id));
	$tsorgu		=	$dbh->prepare("SELECT * FROM users WHERE phone=? && phone!=0  && id!=?");
	$tsorgu		->	execute(array($phone,$_SESSION['user']->id));
	if(!filter_var($mail,FILTER_VALIDATE_EMAIL)) {
		$output	=	["t"=>"Bilgi","m"=>"Girdiğiniz mail formatı hatalı.","s"=>"info"];
		echo json_encode($output);
	}elseif($msorgu->rowCount()){
		$output	=	["t"=>"Bilgi","m"=>"Bu mail adresi daha önce kullanılmış.","s"=>"info"];
		echo json_encode($output);
	}elseif(!empty($password2) && empty($password) ){
		$output	=	["t"=>"Bilgi","m"=>"Lütfen Şifre Alanlarını Doldurunuz.","s"=>"info"];
		echo json_encode($output);
	}elseif ($password != $password2 && !empty($password2)) {
		$output	=	["t"=>"Bilgi","m"=>"Parolalar uyuşmamakta.","s"=>"info"];
		echo json_encode($output);
	}elseif (strlen($password)<6 && !empty($password2)) {
		$output	=	["t"=>"Bilgi","m"=>"Parolanız en az 6 karakterden oluşmalı.","s"=>"info"];
		echo json_encode($output);
	}elseif($tsorgu->rowCount()){
		$output	=	["t"=>"Bilgi","m"=>"Bu telefon numarası daha önce kullanılmış.","s"=>"info"];
		echo json_encode($output);

	}else{
		if(!empty($password2)){
			$password	=	md5($_POST["password"]);

			$edit	=	$dbh->prepare("UPDATE users SET password=? WHERE id=?");
			$edit-> execute(array($password,$_SESSION['user']->id));
		}


		$edit	=	$dbh->prepare("UPDATE users SET name=?, mail=?, phone=? WHERE id=?");
		$edit-> execute(array($ad,$mail,$phone,$_SESSION['user']->id));


		$yenik		=	$dbh->prepare("SELECT * FROM users WHERE id=? ");
		$yenik		->	execute(array($_SESSION['user']->id));
		$yenik		=	$yenik		->fetch(PDO::FETCH_OBJ);


		$_SESSION['user']=$yenik;


		$output	=	["t"=>"","m"=>"Kullanıcı bilgileri güncellendi.","s"=>"success","r"=>"index.php"];
		echo json_encode($output);
	}
	exit();

}